Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.util
Interface ResourceLocation

All Known Implementing Classes:
  ClasspathLocation, FileSystemLocation

    public interface ResourceLocation

A location from which resources can be loaded

Author:
  kevin

Method Summary
`java.net.URL` | `getResource(java.lang.String ref)` Get a resource as a URL
`java.io.InputStream` | `getResourceAsStream(java.lang.String ref)` Get a resource as an input stream

Method Detail

### getResourceAsStream

    java.io.InputStream getResourceAsStream(java.lang.String ref)

  Get a resource as an input stream

  Parameters:
    `ref` - The reference to the resource to retrieve
  Returns:
    A stream from which the resource can be read or null if the resource can't be found in this location

### getResource

    java.net.URL getResource(java.lang.String ref)

  Get a resource as a URL

  Parameters:
    `ref` - The reference to the resource to retrieve
  Returns:
    A URL from which the resource can be read

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.